### DbEnv::set_rep_limit

`

###

    #include <db_cxx.h>

    int
    DbEnv::set_rep_limit(u_int32_t gbytes, u_int32_t bytes);

    int
    DbEnv::get_rep_limit(u_int32_t *gbytesp, u_int32_t *bytesp);

### Description: DbEnv::set_rep_limit

The DbEnv::set_rep_limit method sets a byte-count limit on the amount of data that will be transmitted from a site in response to a single message processed by the DbEnv::rep_process_message method. The limit is not a hard limit, and the record that exceeds the limit is the last record to be sent.

The DbEnv::set_rep_limit method configures a database environment, not only operations performed using the specified DbEnv handle.

The DbEnv::set_rep_limit method may not be called before the DbEnv::open method has been called.

The DbEnv::set_rep_limit method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

bytes
  The gbytes and bytes parameters specify the maximum number of bytes that will be sent in a single call to DbEnv::rep_process_message method.
gbytes
  The gbytes and bytes parameters specify the maximum number of bytes that will be sent in a single call to DbEnv::rep_process_message method.

### Description: dbenv_get_rep_limit

The DbEnv::get_rep_limit method may be called at any time during the life of the application.

The DbEnv::get_rep_limit method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

bytesp
  The bytesp parameter references memory into which the additional bytes of memory in the current transmit limit is copied.
gbytesp
  The gbytesp parameter references memory into which the gigabytes of memory in the in the current transmit limit is copied.

### Class

DbEnv

### See Also

Replication and Related Methods`

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.